GDB (xrefs)

Public Member Functions | Public Attributes | Static Private Member Functions | List of all members
symbol_search Struct Reference

`#include "symtab.h"`

## Public Member Functions
| symbol_search (int block_, struct symbol *symbol_)
| symbol_search (int block_, struct minimal_symbol *minsym, struct objfile *objfile)
bool | operator< (const symbol_search &other) const
bool | operator== (const symbol_search &other) const

## Public Attributes
int | block
struct symbol * | symbol
struct bound_minimal_symbol | msymbol

## Static Private Member Functions
static int | compare_search_syms (const symbol_search &sym_a, const symbol_search &sym_b)

## Detailed Description

Definition at line 1918 of file symtab.h.

## Constructor & Destructor Documentation

## ◆ symbol_search() [1/2]

symbol_search::symbol_search | ( | int | block_,
|  | struct symbol * | symbol_
| ) |  |
| inline

Definition at line 1920 of file symtab.h.

References bound_minimal_symbol::minsym, msymbol, and bound_minimal_symbol::objfile.

## ◆ symbol_search() [2/2]

symbol_search::symbol_search | ( | int | block_,
|  | struct minimal_symbol * | minsym,
|  | struct objfile * | objfile
| ) |  |
| inline

Definition at line 1928 of file symtab.h.

References bound_minimal_symbol::minsym, msymbol, and bound_minimal_symbol::objfile.

## Member Function Documentation

## ◆ compare_search_syms()

int symbol_search::compare_search_syms | ( | const symbol_search & | sym_a,
|  | const symbol_search & | sym_b
| ) |  |
| static private

Definition at line 4227 of file symtab.c.

References block, symtab::filename, symbol, SYMBOL_PRINT_NAME, and symbol_symtab().

Referenced by operator<(), and operator==().

## ◆ operator<()

bool symbol_search::operator< | ( | const symbol_search & | other | ) | const
| inline

Definition at line 1937 of file symtab.h.

References compare_search_syms().

## ◆ operator==()

bool symbol_search::operator== | ( | const symbol_search & | other | ) | const
| inline

Definition at line 1942 of file symtab.h.

References compare_search_syms().

## Member Data Documentation

## ◆ block

int symbol_search::block

Definition at line 1949 of file symtab.h.

Referenced by compare_search_syms().

## ◆ msymbol

struct bound_minimal_symbol symbol_search::msymbol

Definition at line 1958 of file symtab.h.

Referenced by symbol_search().

## ◆ symbol

struct symbol* symbol_search::symbol

Definition at line 1954 of file symtab.h.

Referenced by compare_search_syms().

The documentation for this struct was generated from the following files:

- /tmp/gdb-8.1/gdb/symtab.h
- /tmp/gdb-8.1/gdb/symtab.c